//
// Created by #Suyghur, on 2021/06/21.
//

#ifndef EYUANGAMESDK_KTX_PARAMS_KIT_H
#define EYUANGAMESDK_KTX_PARAMS_KIT_H


#include <string>
#include <jni.h>

#define CONFIG_FILE "yyxx_cfg.properties"
#define YYXX_GCP_CODE "YYXX_GCP_CODE"
#define YYXX_GAME_CODE "YYXX_GAME_CODE"
#define YYXX_OWN_DEBUG "YYXX_OWN_DEBUG"


class ParamsKit {
public:
    static std::string GetGcpCode(JNIEnv *env, jobject context);

    static std::string GetGameCode(JNIEnv *env, jobject context);

    static bool GetDebugModel(JNIEnv *env, jobject context);

private:
    static std::string GetValue4Properties(JNIEnv *env, jobject context, const std::string &key);
};


#endif //EYUANGAMESDK_KTX_PARAMS_KIT_H
